#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int limit = 1e6;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k, x;
    cin >> n >> k >> x;
    if (k == 3 && n != k) {
        vector<int> sol;
        sol.pb(1);
        sol.pb(2 + x);
        sol.pb(2 + x + x);
        sol.pb(2 + x + x + x);
        for (int i = 0; i<4; i++)
            cout << sol[i] << " ";
        for (int i = 4; i<n; i++)
            cout << (1) << " ";
        return 0;
    }
    cout << -1 << endl;
    return 0;
}